> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# IPD Admission Event

> 
When an event occurs against an IPD admission (such as a clearance, stage change or other workflow action), a webhook event is sent to registered webhooks describing the action that was performed.

**Field Definitions**

• **service**: string - The type of service. For IPD events, this will be `ipd`.

• **event**: string - The type of event. This will be `ipd_admissions_events.created` or `ipd_admissions_events.updated`.

• **event_time**: integer - Event occurrence timestamp (epoch seconds).

• **transaction_id**: string - Unique transaction identifier for the event.

• **timestamp**: integer - Timestamp of the event (epoch seconds).

• **business_id**: string - The eka ID of the business.

• **client_id**: string - Client ID associated with the event.

• **data**: object - Contains details about the admission event.

• **kind**: string - The kind of event (e.g. `CLEARANCE`).

• **by**: object - The actor who performed the action.

• **to**: string - The resulting state of the action (e.g. `COMPLETED`).

**Example Webhook Request**

**Endpoint:** [https://your-registered-webhook-url.com](https://your-registered-webhook-url.com)

**Method:** POST



## OpenAPI

````yaml post /registered_url_for_ipd_admissions_events_events
openapi: 3.1.0
info:
  title: Transaction Status API
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://{partner_host}
    variables:
      partner_host:
        default: api.example.com
        description: Partner API host
security: []
paths:
  /registered_url_for_ipd_admissions_events_events:
    post:
      tags:
        - IPD Webhooks
      summary: IPD Admission Event
      description: >-

        When an event occurs against an IPD admission (such as a clearance,
        stage change or other workflow action), a webhook event is sent to
        registered webhooks describing the action that was performed.


        **Field Definitions**


        • **service**: string - The type of service. For IPD events, this will
        be `ipd`.


        • **event**: string - The type of event. This will be
        `ipd_admissions_events.created` or `ipd_admissions_events.updated`.


        • **event_time**: integer - Event occurrence timestamp (epoch seconds).


        • **transaction_id**: string - Unique transaction identifier for the
        event.


        • **timestamp**: integer - Timestamp of the event (epoch seconds).


        • **business_id**: string - The eka ID of the business.


        • **client_id**: string - Client ID associated with the event.


        • **data**: object - Contains details about the admission event.


        • **kind**: string - The kind of event (e.g. `CLEARANCE`).


        • **by**: object - The actor who performed the action.


        • **to**: string - The resulting state of the action (e.g. `COMPLETED`).


        **Example Webhook Request**


        **Endpoint:**
        [https://your-registered-webhook-url.com](https://your-registered-webhook-url.com)


        **Method:** POST
      operationId: IPDAdmissionEventWebhook
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              required:
                - service
                - event
                - event_time
                - timestamp
                - business_id
                - data
              properties:
                service:
                  type: string
                  example: ipd
                  description: Type of service
                event:
                  type: string
                  enum:
                    - ipd_admissions_events.created
                    - ipd_admissions_events.updated
                  example: ipd_admissions_events.created
                  description: Type of event
                event_time:
                  type: integer
                  example: 1782811749
                  description: Event occurred timestamp
                transaction_id:
                  type: string
                  example: 93cfa0eb-f9af-4391-afd7-7f8409e45c22
                  description: Unique transaction identifier for the event
                timestamp:
                  type: integer
                  example: 1782811749
                  description: Timestamp of the event
                business_id:
                  type: string
                  example: '7175620245483777'
                  description: Business ID for the admission
                client_id:
                  type: string
                  example: EC_1777984421469
                  description: Client ID for the admission
                data:
                  type: object
                  required:
                    - id
                    - kind
                  properties:
                    at:
                      type: string
                      example: '2026-06-30 09:29:02.364000+00:00'
                      description: Timestamp when the event occurred
                    by:
                      type: object
                      description: Actor who performed the action
                      properties:
                        id:
                          type: string
                          example: '175620245502842'
                          description: Actor identifier
                        name:
                          type: string
                          example: Dr Imtiyaz m,
                          description: Actor name
                    clearance_type:
                      type: string
                      example: pharmacy
                      description: Type of clearance (present when kind is CLEARANCE)
                    id:
                      type: string
                      example: 93cfa0eb-f9af-4391-afd7-7f8409e45c22
                      description: Unique identifier for the event
                    kind:
                      type: string
                      example: CLEARANCE
                      description: Kind of admission event
                    to:
                      type: string
                      example: COMPLETED
                      description: Resulting state of the action
      responses:
        '200':
          description: ''
          headers: {}
      deprecated: false

````